Subject: Re: [PATCH net-next 5/5] ptp: start virtual clocks at current system time.

From: Miroslav Lichvar <[email-masked]>
Date: Wed, 2 Feb 2022 10:07:59 +0100

On Tue, Feb 01, 2022 at 11:03:51AM -0800, Richard Cochran wrote:
> On Mon, Jan 31, 2022 at 11:21:08AM +0100, Miroslav Lichvar wrote:
> > On Thu, Jan 27, 2022 at 02:01:16PM -0800, Richard Cochran wrote:
> > > I think we agreed that, going forward, new PHC drivers should start at
> > > zero (1970) instead of TAI - 37.
> > 
> > I tried to find the discussion around this decision, but failed. Do
> > you have a link?
> 
> Here is one of the discussions.  It didn't lay down a law or anything,
> but my arguments still stand.
> 
>    https://lore.kernel.org/all/[email-masked]/

I don't see strong arguments for either option (0, UTC, TAI) and would
prefer consistency among drivers.

It would be nice if the drivers called a common function to get the
initial time, so it could be changed for all in one place if
necessary. Anyway, I'll leave this for another time and drop the patch
from the series.

Thanks,

-- 
Miroslav Lichvar